Package Gnumed :: Package timelinelib :: Package db :: Module interface :: Class ContainerStrategy |
[frames] | no frames]

# Class ContainerStrategy

source code

    object --+
             |
            ContainerStrategy

Instance Methods
__init__(self, container) x.__init__(...) initializes x; see x.__class__.__doc__ for signature | source code
register_subevent(self, subevent) Return the event with the latest end time. | source code
unregister_subevent(self, subevent) Return the event with the latest end time. | source code
update(self, subevent) Update container properties when adding a new sub-event. | source code
Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Properties
Inherited from `object`: `__class__`

Method Details

### __init__(self, container) (Constructor) | source code
x.__init__(...) initializes x; see x.__class__.__doc__ for signature Overrides: object.__init__ (inherited documentation)